%define dist ML
%define original_name zabbix

###################################################################################
# COMMON HEADER START (DO NOT DELETE)
###################################################################################
%define mbedtls_version 2.16.9
%define src_release 8
%{!?relcan:%define relcan %{nil}}
Name:           miracle-zbx
Version:        3.0.32
Release:        %{src_release}.%{?dist}
Summary:        Open-source monitoring solution for your IT infrastructure
Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.miraclelinux.com/
###################################################################################
# COMMON HEADER END (DO NOT DELETE)
###################################################################################

###################################################################################
# COMMON SOURCE LIST START (DO NOT DELETE)
###################################################################################
Source0:        http://downloads.sourceforge.net/%{original_name}/%{original_name}-%{version}%{relcan}.tar.gz
Source1:        zabbix-web.conf
Source2:        zabbix-server.init
Source3:        zabbix-agent.init
Source4:        zabbix-proxy.init
Source5:        zabbix-logrotate.in
Source11:       zabbix-java-gateway.init
Source12:       logo.png
Source13:       zabbix.png
Source14:       zabbix_bb.png
Source15:       zabbix_od.png
Source16:       welcome_screen-original-blue.png
Source18:       background.png
Source19:       zabbix-agent.service
Source24:       zabbix-java-gateway.service
Source25:       zabbix-tmpfs.conf
Source26:       zabbix-server.service
Source27:       zabbix-proxy.service
Source30:       icon-sprite.svg
Source31:       init_zbx.sh
Source32:       zabbix-agent.init.aix
Source33:       zabbix_java_gateway-sysd
Source34:       favicon.ico
Source35:       mbedtls-%{mbedtls_version}.tar.gz
Source36:       build_mbedtls_for_unix.sh
Source37:       build_mbedtls_for_win.sh
Source38:       zabbix-wait-pidfile.sh
Source39:       zabbix-agentd-solaris10
###################################################################################
# COMMON SOURCE LIST END (DO NOT DELETE)
###################################################################################

###################################################################################
# COMMON PATCH LIST START (DO NOT DELETE)
###################################################################################
Patch0:         config.patch
Patch1:         zabbix-datasql.patch
Patch3:         fonts-config.patch
Patch6:         zabbix-fix_for_aix61.patch
Patch7:         zabbix-windows_build.patch
Patch8:         zabbix-reload_config.patch
Patch10:        zabbix-fix_cflags.patch
Patch12:        zabbix-add_event_filter.patch
Patch14:        zabbix-show_history_in_event.patch
Patch22:        zabbix-fix_some_log.patch
Patch24:        zabbix-ML-copyright-replacement.patch
Patch26:        zabbix-hpux_compat.patch
Patch27:        zabbix-long_telnet_command_fix.patch
Patch33:        zabbix-add_graph_csv_output.patch
Patch34:        zabbix-windows-copyright.patch
Patch35:        zabbix-add_dbupdate_option.patch
Patch36:        zabbix-fix_format_message_crash.patch
Patch38:        zabbix-fix_eventlog_message_logic.patch
Patch40:        zabbix-add_eventlog_ext.patch
Patch41:        zabbix-fix_memory_leak.patch
Patch42:        zabbix-fix_sending_recovery_mail.patch
Patch43:        zabbix-fix_query_wrong_last_data.patch
Patch44:        zabbix-fix_memory_leak_in_trendcache.patch
Patch46:        zabbix-add-cpu_time-to-proc_info-on-windows.patch
Patch48:        zabbix-unsupport_long_item_key.patch
Patch51:        zabbix-support_tabulardatasupport_java_type.patch
Patch54:        zabbix-checking_unsupported_sixth_parameter_in_proc.cpu.util_item_on_Solaris.patch
Patch55:        zabbix-fix_undeclared_locations_in_sensors_file.patch
Patch56:        zabbix-fix_building_windows_in_3.0.0alpha3.patch
Patch57:        zabbix-enable_option_with_mbedtls_for_tls_protocol.patch
Patch58:        zabbix-add_trap_receiver.patch
Patch60:        zabbix-add_macro_ITEM.TYPE.patch
Patch61:        zabbix-update_to_tlsv1.patch
Patch64:        zabbix-fix_zbx_execute_crash_by_sigpipe.patch
Patch66:        zabbix-fix-ip-address-check-for-auto-registration.patch
Patch67:        zabbix-add-enable_set_history_trends_on_web_monitoring.patch
Patch68:        zabbix-fix_item_queue_exclusion_list.patch
Patch69:        zabbix-add_permitting_to_change_syslog_facility.patch
Patch70:        zabbix-fix_zabbix_configure_file_for_miracle_zbx.patch
Patch71:        zabbix-limit_alert_number.patch
Patch72:        zabbix-support_mbedtls21.patch
Patch73:        zabbix-add_U_option_to_server_and_proxy.patch
Patch74:        zabbix-show_mbedTLS_version.patch
Patch75:        zabbix-fix_supervising_process.patch
Patch76:        zabbix-backport-ZBX-16096-fixed-invalid-CPU-utilisation.patch
Patch77:        zabbix-add_zabbix_stats.patch
Patch78:        zabbix-backport-ZBX-16575-getting-disk-controller-type-from-linked-controller-label-value.patch
Patch79:        zabbix-add_RTC_logfile_redirect.patch
Patch80:        zabbix-backport_null_pointer_reference.patch
Patch81:        fping3-sourceip-option.patch
Patch82:        zabbix-fix_ZBX-18703.patch
Patch83:        zabbix-add_eventlog6.patch
Patch84:        zabbix-backport-ZBX-19926.patch
###################################################################################
# COMMON PATCH LIST END (DO NOT DELETE)
###################################################################################

Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:        logrotate
Requires:        /usr/sbin/useradd

%description
ZABBIX is software that monitors numerous parameters of a
network and the health and integrity of servers. ZABBIX
uses a flexible notification mechanism that allows users
to configure e-mail based alerts for virtually any event.
This allows a fast reaction to server problems. ZABBIX
offers excellent reporting and data visualisation features
based on the stored data. This makes ZABBIX ideal for
capacity planning.

ZABBIX supports both polling and trapping. All ZABBIX
reports and statistics, as well as configuration
parameters are accessed through a web-based front end. A
web-based front end ensures that the status of your network
and the health of your servers can be assessed from any
location. Properly configured, ZABBIX can play an important
role in monitoring IT infrastructure. This is equally true
for small organisations with a few servers and for large
companies with a multitude of servers.

%package agent
Summary:         Zabbix Agent
Group:           Applications/Internet

%description agent
The Zabbix client agent, to be installed on monitored systems.

###################################################################################
# COMMON PATCHING START (DO NOT DELETE)
###################################################################################
%prep
%setup -q -a 35 -n %{original_name}-%{version}%{relcan}
bash -c 'echo ./conf/zabbix_agentd{.hpux,.solaris}.conf | xargs -n1 | xargs -i% cp ./conf/zabbix_agentd.conf %'
%patch0 -p1 -b .config.orig
%patch1 -p1 -b .datasql.orig
%patch3 -p1 -b .fonts-config.orig
%patch6 -p1 -b .fix_for_aix61.orig
%patch7 -p1 -b .windows_build.orig
%patch8 -p1 -b .reload_config.orig
%patch10 -p1 -b .fix_cflags.orig
%patch12 -p1 -b .add_event_filter.orig
%patch14 -p1 -b .show_history_in_event.orig
%patch22 -p1 -b .fix_some_log.orig
%patch24 -p1 -b .ML-copyright-replacement.orig
%patch26 -p1 -b .hpux_compat.orig
%patch27 -p1 -b .long_telnet_command_fix.orig
%patch33 -p1 -b .add_graph_csv_output.orig
%patch34 -p1 -b .windows-copyright.orig
%patch35 -p1 -b .add_dbupdate_option.orig
%patch36 -p1 -b .fix_format_message_crash.orig
%patch38 -p1 -b .fix_eventlog_message_logic.orig
%patch40 -p1 -b .add_eventlog_ext.orig
%patch41 -p1 -b .fix_memory_leak.orig
%patch42 -p1 -b .fix_sending_recovery_mail.orig
%patch43 -p1 -b .fix_query_wrong_last_data.orig
%patch44 -p1 -b .fix_memory_leak_in_trendcache.orig
%patch46 -p1 -b .add-cpu_time-to-proc_info-on-windows.orig
%patch48 -p1 -b .unsupport_long_item_key.orig
%patch51 -p1 -b .support_tabulardatasupport_java_type.orig
%patch54 -p1 -b .checking_unsupported_sixth_parameter_in_proc.cpu.util_item_on_Solaris.orig
%patch55 -p1 -b .fix_undeclared_locations_in_sensors_file.orig
%patch56 -p1 -b .fix_building_windows_in_3.0.0alpha3.orig
%patch57 -p1 -b .enable_option_with_mbedtls_for_tls_protocol.orig
%patch58 -p1 -b .add_trap_receiver.orig
%patch60 -p1 -b .add_macro_ITEM.TYPE.orig
%patch61 -p1 -b .update_to_tlsv1.orig
%patch64 -p1 -b .fix_zbx_execute_crash_by_sigpipe.orig
%patch66 -p1 -b .fix-ip-address-check-for-auto-registration.orig
%patch67 -p1 -b .add-enable_set_history_trends_on_web_monitoring.orig
%patch68 -p1 -b .fix_item_queue_exclusion_list.orig
%patch69 -p1 -b .add_permitting_to_change_syslog_facility.orig
%patch70 -p1 -b .fix_zabbix_configure_file_for_miracle_zbx.orig
%patch71 -p1 -b .limit_alert_number.orig
%patch72 -p1 -b .support_mbedtls21.orig
%patch73 -p1 -b .add_U_option_to_server_and_proxy.orig
%patch74 -p1 -b .show_mbedTLS_version.orig
%patch75 -p1 -b .fix_supervising_process.orig
%patch76 -p1 -b .backport-ZBX-16096-fixed-invalid-CPU-utilisation.orig
%patch77 -p1 -b .add_zabbix_stats.orig
%patch78 -p1 -b .backport-ZBX-16575-getting-disk-controller-type-from-linked-controller-label-value.orig
%patch79 -p1 -b .add_RTC_logfile_redirect.orig
%patch80 -p1 -b .backport_null_pointer_reference.orig
%patch81 -p1 -b .fping3-sourceip-option.orig
%patch82 -p1 -b .fix_ZBX-18703.orig
%patch83 -p1 -b .add_eventlog6.orig
%patch84 -p1 -b .backport-ZBX-19926.orig
####################################################################################
# COMMON PATCHING END (DO NOT DELETE)
###################################################################################

chmod -R a+rX .

# replace original version string

%{__perl} -p -i -e \
    "s,^#define ZABBIX_VERSION_RC	\"\",#define ZABBIX_VERSION_RC	\"-%{src_release}\"," \
    include/version.h
%{__grep} "^#define ZABBIX_VERSION_RC	\"-%{src_release}\"" include/version.h > /dev/null
if [ $? -eq 1 ]; then
    exit 1
fi

cp -p %{SOURCE36} mbedtls-%{mbedtls_version}
cp -p %{SOURCE37} mbedtls-%{mbedtls_version}

%build

cd mbedtls-%{mbedtls_version}
cd library
chmod +x ../build_mbedtls_for_unix.sh
../build_mbedtls_for_unix.sh
cd ../
mkdir lib
mv library/*.a lib/
cd ../

%configure --enable-agent --enable-ipv6 --sysconfdir=/etc/zabbix --with-mbedtls21=$(pwd)/mbedtls-%{mbedtls_version}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
# set up some required directories
mkdir -p $RPM_BUILD_ROOT/etc/%{original_name}
mkdir -p $RPM_BUILD_ROOT/etc/%{original_name}/zabbix_agentd.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc2.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/var/log/%{original_name}
mkdir -p $RPM_BUILD_ROOT/var/run/%{original_name}

# install
make DESTDIR=$RPM_BUILD_ROOT install

#cat %{SOURCE6} | sed \
#    -e 's|^PidFile=.*|PidFile=/var/run/zabbix/zabbix_agentd.pid|g' \
#    -e 's|LogFile=.*|LogFile=/var/log/zabbix/zabbix_agentd.log|g' \
#    -e 's|#LogFileSize=.*|LogFileSize=0|g' \
#    > $RPM_BUILD_ROOT/etc/%{original_name}/zabbix_agentd.conf


# log rotation
# init scripts
install -M 0755 -c $RPM_BUILD_ROOT/etc/rc.d/init.d %{SOURCE32}
mv $RPM_BUILD_ROOT/etc/rc.d/init.d/zabbix-agent.init.aix $RPM_BUILD_ROOT/etc/rc.d/init.d/zabbix-agent
cd $RPM_BUILD_ROOT/etc/rc.d/rc2.d
ln -s ../init.d/zabbix-agent Kzabbix-agent
ln -s ../init.d/zabbix-agent Szabbix-agent

cd $RPM_BUILD_ROOT/usr/sbin
ln -s ../../opt/freeware/sbin/zabbix_agentd .
cd $RPM_BUILD_ROOT/usr/bin
ln -s ../../opt/freeware/bin/zabbix_get .
ln -s ../../opt/freeware/bin/zabbix_sender .

%clean 
rm -rf $RPM_BUILD_ROOT

%pre agent
if [ -z "`lssec -f /etc/security/login.cfg -s usw -a shells|grep /bin/false`" ]; then
        SHELLS_OLD=`lssec -f /etc/security/login.cfg -s usw -a shells|cut -d'=' -f2`
        chsec -f /etc/security/login.cfg -s usw -a shells=${SHELLS_OLD},/bin/false
fi

lsgroup zabbix 2>/dev/null 1>/dev/null
OUT=$?
if [ $OUT -ne 0 ]; then
        /usr/bin/mkgroup zabbix 2> /dev/null
fi
lsuser zabbix 2>/dev/null 1>/dev/null
OUT=$?
if [ $OUT -ne 0 ]; then 
        /usr/bin/mkuser home=/home/zabbix shell=/bin/false gecos="Zabbix Daemon" pgrp=zabbix zabbix
fi

%preun agent
if [ $1 -eq 0 ]
then
  /etc/rc.d/init.d/zabbix-agent stop >/dev/null 2>&1 || :
fi

%postun agent
if [ $1 -gt 1 ]; then
  /etc/rc.d/init.d/zabbix-agent start >/dev/null 2>&1 || :
fi

%files agent
%defattr(-,root,staff,-)
%dir /etc/zabbix
%dir /etc/zabbix/zabbix_agentd.d
%doc AUTHORS ChangeLog COPYING NEWS README
%config(noreplace) /etc/zabbix/zabbix_agent*.conf
%attr(0755,root,staff) /etc/rc.d/init.d/zabbix-agent
%attr(0755,root,staff) /etc/rc.d/rc2.d/Kzabbix-agent
%attr(0755,root,staff) /etc/rc.d/rc2.d/Szabbix-agent
%attr(0755,root,staff) %{_bindir}/zabbix_get
%attr(0755,root,staff) %{_bindir}/zabbix_sender
%attr(0755,root,staff) %{_sbindir}/zabbix_agentd
%attr(0755,root,staff) /usr/bin/zabbix_*
%attr(0755,root,staff) /usr/sbin/zabbix_*
%attr(0700,zabbix,zabbix) %dir /var/log/zabbix
%attr(0700,zabbix,zabbix) %dir /var/run/zabbix

###################################################################################
# COMMON CHANGELOG START (DO NOT DELETE)
###################################################################################
%changelog
* Tue Jul 12 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.32-8%{?dist}
- Add zabbix-backport-ZBX-19926.patch to support Windows Server 2022.
- Downgrade mbedTLS to 2.16.9

* Tue Mar 23 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 3.0.32-7%{?dist}
- Update mbedTLS version to 2.16.10

* Thu Mar 18 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 3.0.32-6%{?dist}
- Update zabbix-limit_alert_number.patch to fail when triggerid above the upper
  limit is specified.

* Thu Mar 18 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 3.0.32-5%{?dist}
- Update zabbix-fix_sending_recovery_mail.patch to fix problem that recive mail in
  maintenance mode.

* Tue Mar 10 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 3.0.32-4%{?dist}
- Update zabbix-windows-copyright.patch to change commpany name.

* Tue Mar 09 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 3.0.32-3%{?dist}
- Modify zabbix-add_zabbix_stats.patch to fix description of StatsAllowIP
  in zabbix_server.conf.

* Tue Mar 09 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 3.0.32-2%{?dist}
- Update Zabbix version to 3.0.32 released.

* Wed Mar 03 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 3.0.32-1%{?dist}
- Update Zabbix version to 3.0.32rc1.
  - Update zabbix-ML-copyright-replacement.patch
  - Update zabbix-windows-copyright.patch

* Fri Feb 12 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.31-9%{?dist}
- Update zabbix-add_zabbix_stats.patch to backport ZBXNEXT-5851 changes.

* Thu Dec 17 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 3.0.31-8%{?dist}
- Update mbedTLS version to 2.16.9

* Thu Dec 10 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.31-7%{?dist}
- Add zabbix-add_eventlog6.patch to support eventlog6 key in ZBX 2.0.

* Fri Nov 27 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 3.0.31-6%{?dist}
- Add zabbix-fix_ZBX-18703.patch to fix bug arround vmware.vm.vfs.fs.size[] key.

* Thu Jul 02 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 3.0.31-5%{?dist}
- Import Patch81 (fping3-sourceip-option.patch) from Zabbix source RPM to use fping 3 or greater version

* Wed May 13 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.31-4%{?dist}
- Fetch base zabbix tarball from official Zabbix page
  - Update Patch1 (zabbix-datasql.patch)
  - Update Patch77 (zabbix-add_zabbix_stats.patch)

* Tue Apr 28 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 3.0.31-3%{?dist}
- Update Zabbix version to 3.0.31 released

* Wed Apr 22 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 3.0.31-2%{?dist}
- Update Zabbix version to 3.0.31rc1 released

* Mon Apr 20 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 3.0.31-1%{?dist}
- Update Zabbix version to 3.0.31 latest (1f7ef96413c16d9a1964e23d5c633408f01d4062)

* Thu Apr 16 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 3.0.30-5%{?dist}
- Update mbedTLS version to 2.16.6

* Thu Feb 27 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.30-4%{?dist}
- Update mbedTLS version to 2.16.5

* Thu Feb 27 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.30-3%{?dist}
- Update zabbix version to 3.0.30

* Wed Feb 19 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.30-2%{?dist}
- Update base zabbix tarball because DB schema was invalid
  - Update Patch1 (zabbix-datasql.patch)

* Tue Feb 18 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.30-1%{?dist}
- Update base zabbix version to 3.0.30rc1 (released)
  - Update Patch24 (zabbix-ML-copyright-replacement.patch)
  - Update Patch34 (zabbix-windows-copyright.patch)
- Delete Patch25 (zabbix-ML-copyright-replacement-part2.patch) because it merged into Patch24 (zabbix-ML-copyright-replacement.patch)

* Fri Feb 07 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.29-5%{?dist}
- Update mbedTLS version to 2.16.3

* Mon Feb 03 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.29-4%{?dist}
- Update Patch40 (zabbix-add_eventlog_ext.patch) to translation

* Thu Jan 16 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.29-3%{?dist}
- Update mbedTLS version to 2.7.13

* Tue Dec 24 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.29-2%{?dist}
- Patch77 (zabbix-add_zabbix_stats.patch) updated to protect from null reference

* Fri Dec 20 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.29-1%{?dist}
- Update base zabbix version to 3.0.29
  - Patch1 (zabbix-datasql.patch) update
  - Patch78 (zabbix-backport-ZBX-16575-getting-disk-controller-type-from-linked-controller-label-value.patch) backported from ZBX 4.0
  - Patch79 (zabbix-add_RTC_logfile_redirect.patch) backported from ZBX-16575
  - Patch80 (zabbix-backport_null_pointer_reference.patch) backported from ZBX-16767

* Fri Oct 04 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.28-2%{?dist}
- Update mbedTLS version to 2.7.12
- Patch77 (zabbix-add_zabbix_stats.patch) added. Backport zabbix.stats[] feature from 4.0.5
- Supports agent package for RHEL8

* Tue Jun 04 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.28-1%{?dist}
- Update base zabbix version to 3.0.28
  - Patch65 (zabbix-first_aid_for_round_function_unimplement_solaris9.patch) removed because upstream fixed the same problem.
- Patch76 (zabbix-backport-ZBX-16096-fixed-invalid-CPU-utilisation.patch) backported from ZBX-16096

* Fri Apr 19 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.27-2%{?dist}
- Update mbedTLS version to 2.7.10 [RCN: 16455]

* Thu Apr 18 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.27-1%{?dist}
- Update base zabbix version to 3.0.27
  - Patch77 (zabbix-backport_zbx15728.patch) removed. Fixed at upstream

* Thu Mar 28 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.26-2%{?dist}
- Patch76 (zabbix-fix_ML3_build_failure.patch) removed, this problem fixed by Patch77
- Patch77 (zabbix-backport_zbx15728.patch) added for fix ZBX-15728

* Tue Mar 26 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.26-1%{?dist}
- Update base zabbix version to 3.0.26
  - Patch57 (zabbix-enable_option_with_mbedtls_for_tls_protocol.patch) updated
  - Patch72 (zabbix-support_mbedtls21.patch) updated
  - Patch76 (zabbix-fix_ML3_build_failure.patch) added for old GCC

* Fri Mar 08 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.25-2%{?dist}
- icon-sprite.svg updated, background color is changed to transparent color from white [RCN:16284]
- Patch24 (zabbix-ML-copyright-replacement.patch) updated for style sheet [RCN:16283]
- Patch75 (zabbix-fix_supervising_process.patch) add, fixed systemd supervising process issue [RCN:16306]

* Tue Jan 29 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 3.0.25-1%{?dist}
- Update base zabbix version to 3.0.25
- Update base mbedtls version to 2.7.9 [RCN: 16201]
- Patch1 (zabbix-datasql.patch) updated for build
- Patch24 (zabbix-ML-copyright-replacement.patch) updated, Fix copyright
- Patch34 (zabbix-windows-copyright.patch) updated, Fix copyright
- Patch43 (zabbix-fix_query_wrong_last_data.patch) updated for build
- Patch74 (zabbix-show_mbedTLS_version.patch) for show mbedtls version [RCN:16060]

* Tue Dec 25 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.24-1%{?dist}
- Update base zabbix version to 3.0.24
- Patch22 (zabbix-fix_some_log.patch) fix, Support utf16 [RCN:10018]
- Support Amazon Linux 2
- Update base mbedtls version to 2.7.8 [RCN:16080]

* Wed Nov 14 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.23-2%{?dist}
- Patch24 (zabbix-ML-copyright-replacement.patch) updated, Fix typo [RCN:15443]

* Wed Nov 7 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.23-1%{?dist}
- Update base zabbix version to 3.0.23
- Patch8 (zabbix-reload_config.patch) update, Fix typo and add explanation in proxy [RCN:13337]
  - Patch62 (zabbix-update_config_help_for_slow_queries.patch) Remove, marge into Patch8
- Patch60 (zabbix-add_macro_ITEM.TYPE.patch) Update, Fix index of row [RCN:12117]
- Patch24 (zabbix-ML-copyright-replacement.patch) updated, Fix product name [RCN:15443]
- Update base mbedtls version to 2.7.6 [RCN:15999]

* Mon Oct 1 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.22-1%{?dist}
- Update base zabbix version to 3.0.22
  - Patch6 (zabbix-fix_for_aix61.patch) updated
- Update base mbedtls version to 2.1.15
- Remove useless file from source [RCN:15859]
  - Source28 (After-mysqld-service.conf)
  - Source29 (After-postgresql-service.conf)
- Add new patch 73 zabbix-add_U_option_to_server_and_proxy.patch [RCN:15885]

* Wed Sep 5 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.21-2%{?dist}
- Update release number

* Mon Sep 3 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.21-1%{?dist}
- Update base zabbix version to 3.0.21

* Wed Aug 1 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.20-1%{?dist}
- Update base zabbix version to 3.0.20
- Patch71 (zabbix-limit_alert_number.patch) fixed, check discard_triggerid [RCN:15635]
- Source33 (zabbix_java_gateway-sysd) fixed, fix command line options [RCN:15678]
- Update base mbedtls version to 2.1.14

* Wed Jun 06 2018 Sari Takita <sari.takita@cybertrust.co.jp> 3.0.18-1%{?dist}
- Update base zabbix version to 3.0.18

* Tue May 15 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.17-1%{?dist}
- Update base zabbix version to 3.0.17
  - Patch8 (zabbix-reload_config.patch) updated
- Update base mbedtls version to 2.1.12
- Patch40 (zabbix-add_eventlog_ext.patch) fixed, revert delimiter '.' [RCN:15456]
- Patch24 (zabbix-ML-copyright-replacement.patch) fixed, fix copyright notice [RCN:15443]

* Wed Apr 18 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.16-1%{?dist}
- Update base zabbix version to 3.0.16
- Update base mbedtls version to 2.1.11
  - Add new patch zabbix-support_mbedtls21.patch [RCN:15340]
- Patch34 (zabbix-windows-copyright.patch) fixed [RCN:15242]
- Patch40 (zabbix-add_eventlog_ext.patch) fixed [RCN:15376]
- Add checking for mbedtls [RCN:15385]
- Patch71 (zabbix-limit_alert_number.patch) update [RCN:8198]
- Add curl requirement to MIRACLE ZBX Agent [RCN:15320]

* Mon Mar 05 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.15-1%{?dist}
- Update base zabbix version to 3.0.15
  - Patch24 (zabbix-ML-copyright-replacement.patch) updated
  - Patch34 (zabbix-windows-copyright.patch) updated
- Update base mbedtls version to 1.3.22
  - add zbxbuild.bat

* Fri Jan 12 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.14-1%{?dist}
- Update base zabbix version to 3.0.14
- Add new patch zabbix-limit_alert_number.patch [RCN:8198]
- Add "KILL_DELAY" environment varible to zabbix-server, zabbix-proxy and zabbix-java-gateway [RCN:12107]

* Tue Nov 14 2017 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.13-1%{?dist}
- Update base zabbix version to 3.0.13
  - Patch24 (zabbix-ML-copyright-replacement.patch) updated
  - Patch68 (zabbix-fix_for_aix61_2.patch) for support old aix6.1
- Fix the return value is incorrect for "system.cpu.discovery" and merge patches "zabbix-fix_for_aix61_2.patch" into "zabbix-fix_for_aix61.patch" [RCN:14850]
- Fix incorrect owner setting in Solaris 11 [RCN:14704]
- Add new patch zabbix-fix_item_queue_exclusion_list.patch [RCN:14822]
- Add new patch zabbix-add_permitting_to_change_syslog_facility.patch [RCN:8176]

* Tue Oct 03 2017 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.11-1%{?dist}
- Update base zabbix version to 3.0.11
- Fix an issue to fail to upgrade or downgrade Windows Agent from any version between 3.0.0-1 - 3.0.4-1 to any version between 3.0.5-1 - 3.0.10-1 [RCN:14628]

* Fri Jul 28 2017 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 3.0.10-1%{?dist}
- Update base zabbix version to 3.0.10
  - Patch45 (zabbix-fix_zbx_item_logtype_string.patch) removed, LLC was fix this issue [RCN:11030] [ZBX-12012]
- Update zabbix_agentd.conf for Windows [RCN:14255]
- Add to support silent installation in MLZBX installer for Windows [RCN:14313]
- Fix patch zabbix-add-enable_set_history_trends_on_web_monitoring.patch [RCN:14234]

* Tue May 30 2017 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 3.0.9-3%{?dist}
- Add new patch zabbix-fix-ip-address-check-for-auto-registration.patch [RCN:14251]
- Add "Options -FollowSymLinks" in zabbix-web.conf [RCN:14123]

* Mon May 22 2017 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 3.0.9-2%{?dist}
- Remove "#Pidfile..." from zabbix_agentd.conf on windows [RCN:14153]

* Thu Apr 27 2017 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 3.0.9-1%{?dist}
- Update base zabbix version to 3.0.9
  - Patch24 (zabbix-ML-copyright-replacement.patch) updated, copyright year
  - Patch34 (zabbix-windows-copyright.patch) updated, copyright year
  - Patch60 (zabbix-add_macro_ITEM.TYPE.patch) changed, LLC was change DBget_item_value() behavior [ZBX-11481]
  - Patch63 (zabbix-fix_tls_mbedtls.patch) removed, LLC was fix this issue [RCN:13726] [ZBX-11101]
  - Patch65 (zabbix-first_aid_for_round_function_unimplement_solaris9.patch) created, modified algorithm without use round()
- Change Solaris 9, 10 package to make "*.conf.new" instead of "*.conf" [RCN:14003]
- Fix zabbix-web.conf for security improvement [RCN:14123]

* Tue Jan 24 2017 Vincent Dao <vincent.dao@miraclelinux.com> - 3.0.7-1%{?dist}
- Update base zabbix version to 3.0.7
- Update zabbix-ML-copyright-replacement-part2.patch (Patch25)
- Add zabbix-fix_zbx_execute_crash_by_sigpipe.patch for fixing server side
  custom script and global script crashing in action, which have stdout output
  and using other than MySQL and MariaDB as DB (Patch64)[RCN:13617]
- Generate .pdb files for zabbix_get and zabbix_sender on Windows [RCN:13971]

* Mon Nov 28 2016 Vincent Dao <vincent.dao@miraclelinux.com> - 3.0.5-1%{?dist}
- Update base zabbix version to 3.0.5
- Remove zabbix-fix_translate.patch because it is already applied in original zabbix
- Add zabbix-update_config_help_for_slow_queries.patch to support printing help configuration for LogSlowQueries option (Patch62)[RCN:13337]
- Fix incorrect comment for PidFile in AIX zabbix_agentd.conf [RCN:13567]
- Change application name and icon for Windows agent installer [RCN:13590]
- Add zabbix-fix_tls_mbedtls.patch [patch 63] for fix crash on zabbix server relevant to mbedtls [RCN:13726]

* Mon Oct 24 2016 Daiki Hamamoto <daiiki.hamamoto@miraclelinux.com> - 3.0.4-1%{?dist}
- Update base zabbix version to 3.0.4
- Add new syncspec.sh[RCN:13441]
- Add new favicon[RCN:13492]
- Add zabbix-fix_translate.patch for build[RCN:13546]
- Fix Event severity strings ade edited by "Trigger severities" menu[RCN:13474]
- Fix graph csvfile cannot output[13462]
- Remove zabbix-fix_SQL_injection_fixed_in_3.0.4.patch
- Remove zabbix-fix_delta_type_of_templated_items.patch
- Fix zabbix-java-gateway.init[RCN:13096]

* Tue Jul 26 2016 Ha Vo <ha.vo@miraclelinux.com> - 3.0.3-1%{?dist}
- Update base zabbix version to 3.0.3
- Remove zabbix-fix_delta_type_of_templated_items.patch because it is already applied in original zabbix
- Update MR-zabbix-checking_unsupported_sixth_parameter_in_proc.cpu.util_item_on_Solaris.patch to fix wrong condition of checking unsupported sixth parameter in proc.cpu.util
- Updated zabbix spec file for RCN12700 to fix package requirement definition for php54 on AMZ
- Applied KillMode=mixed for zabbix-proxy.service and zabbix-java-gateway.service to fix RCN12321: children processes will be remained in force stopping by systemd
- Backport SQL injection fix from 3.0.4 (ZBX-11023)[RCN:13092]

* Mon Apr 11 2016 Jack Ngo <jack.ngo@miraclelinux.com> - 3.0.1-1%{?dist}
- Update base zabbix version to 3.0.1
- Unchange delta template items (Patch59)[RCN:12329]
- Remove backport patches from previous version (Patch59, Patch60)
- Remove zabbix-force_redirect_std.patch (Patch30)[RCN:12582]
- Remove unused patches (Patch2, Patch4, Patch11, Patch13, Patch15,
  Patch16, Patch17, Patch28, Patch29, Patch31, Patch37, Patch39,
  Patch47, Patch49, Patch50, Patch52, Patch53)
- Add zabbix-add_macro_ITEM.TYPE.patch to support macro {ITEM.TYPE} (Patch60)[RCN:12117]
- Add zabbix-update_to_tlsv1.patch to update TLS version (Patch61)[RCN:12489]
- Update zabbix.spec file to update php version from 5.0 to 5.4 [RCN:12604]
- Update zabbix.spec file to change from /etc/httpd/conf.d/miracle-zbx.conf" to "/etc/httpd/conf.d/zabbix.conf [RCN:12607]
- Update zabbix.spec file to change symbolic linked of /etc/zabbix/alertscripts to alertscripts directory [RCN:12603]
- Fix the spec file to use init script for ML6 java-getway and fix the rpm package dependency.

* Thu Mar 10 2016 Jack Ngo <jack.ngo@miraclelinux.com> - 3.0.0-1%{?dist}
- Update base zabbix version to 3.0.0
- Remove unnecessary library from agent, sender and get[RCN:12422]
- Add zabbix-fix_crashing_in_escalator_process.patch (Patch59)[RCN:12452]
- Add zabbix-fix_memory_leak_in_history_cache.patch (Patch60)[RCN:12453]
- Remove unused .orig files[RCN:12343]
- Rename as zabbix-agent.service[RCN:12086]
- Fix errors when install miracle-zbx-web packages[RCN:12468]
- Obsoletes zabbix, zabbix-server and zabbix-proxy package[RCN:12446]
- Provides same zabbix-* packages[RCN:12197]
- Update zabbix-web.conf for 3.0.0[RCN:12502]
- Remaking java-gateway files[RCN:12503]

* Fri Jan 29 2016 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0beta2-1%{?dist}
- Update base zabbix version to 3.0.0beta2

* Thu Jan 14 2016 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0alpha6-1%{?dist}
- Update base zabbix version to 3.0.0alpha6
- Update zabbix-remove_zabbix_agent.conf_file.patch (Patch8)

* Wed Dec 23 2015 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0alpha5-1%{?dist}
- Update base zabbix version to 3.0.0alpha5
- Update zabbix-reload_config.patch (Patch8)
- Update zabbix-force_redirect_std.patch (Patch30)[RCN:9359]
- Update zabbix-fix_memory_leak_in_trendcache.patch (Patch44)[RCN:11352]

* Fri Oct 16 2015 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0alpha3-1%{?dist}
- Update base zabbix version to 3.0.0alpha3
- Update zabbix-windows_build.patch (Patch7)
- Update zabbix-reload_config.patch (Patch8)
- Update zabbix-add_dbupdate_option.patch (Patch35)
- Update zabbix-add-cpu_time-to-proc_info-on-windows.patch (Patch46)[RCN:11018]
- Update zabbix-unsupport_long_item_key.patch (Patch48)[RCN:11249]
- Update zabbix-fix_memory_leak_in_trendcache.patch (Patch49)[RCN:11352]
- Update zabbix-show_history_in_event.patch (Patch49)[RCN:10240]
- Update zabbix-force_redirect_std.patch (Patch30)[RCN:9359]
- Update zabbix-fix_undeclared_locations_in_sensors_file.patch (Patch55)
- Update zabbix-fix_building_windows_in_3.0.0alpha3.patch (Patch56)
- Update zabbix-remove_zabbix_agent.conf_file.patch (Patch55)[RCN:11981]

* Wed Sep 09 2015 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0alpha2-1%{?dist}
- Update base zabbix version to 3.0.0alpha2
- Update config.patch (Patch0) [RCN:]
- Update zabbix-2.5.0-windows_build.patch (Patch7)
- Update zabbix-2.5.0-reload_config.patch (Patch8)
- Update zabbix-2.2.6-add_event_filter.patch (Patch12)
- Update zabbix-2.2.6-show_history_in_event.patch (Patch14)[RCN:10240]
- Update zabbix-2.0.8-ML-copyright-replacement.patch (Patch24)[RCN:9257]
- Update zabbix-2.5.0-force_redirect_std.patch (Patch24)[RCN:9257]
- Update zabbix-2.2.3-add_dbupdate_option.patch (Patch35)
- Update zabbix-2.2.8-add_eventlog_ext.patch (Patch40)[RCN:11089]
- Update zabbix-2.2.7-fix_query_wrong_last_data.patch (Patch43)[RCN:10870]
- Update zabbix-2.2.9-fix_memory_leak_in_trendcache.patch (Patch44)[RCN:11352]
- Update zabbix-2.2.7-fix_sending_recovery_mail.patch (Patch42)[RCN:10550]
- Remove zabbix-2.2.6-fix_command_injection.patch (Patch39)[RCN:10811]
- Remove zabbix-2.2.9-add_missing_socket_closing.patch (Patch47)[RCN:11310]
- Remove zabbix-2.2.9-fix_flickerfreescreen.patch (Patch49)[RCN:11256]
- Remove zabbix-2.2.9-escape_crashing_on_ValueCacheSize_is_0.patch (Patch50)[RCN:11391]
- Remove zabbix-2.2.9-fix_warning_when_no_host_selected.patch (Patch52)[RCN:11454]
- Remove zabbix-2.2.9-add_disabling_housekeeping_feature.patch (Patch53)[RCN:11514]

* Tue May 12 2015 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.9-3%{?dist}
- Add zabbix-2.2.9-add_disabling_housekeeping_feature.patch for disabling housekeeping feature by "HousekeepingFrequency=0" (Patch53)[RCN:11514]

* Fri Apr 10 2015 Vinh Hoang <vinh.hoang@miraclelinux.com> - 2.2.9-2%{?dist}
- Add zabbix-2.2.9-unsupport_long_item_key.patch to fix command fails when the length item key greater than MAX_STRING_LEN (Patch48)[RCN:11249]
- Add zabbix-2.2.9-fix_flickerfreescreen.patch to fix CSV output extension for graph data destroys web monitoring's "response time" graph function (Patch49)[RCN:11256]
- Add zabbix-2.2.9-escape_crashing_on_ValueCacheSize_is_0.patch to fix Zabbix servers crash on start with ValueCacheSize=0 (Patch50)[RCN:11391]
- Add zabbix-2.2.9-support_tabulardatasupport_java_type.patch to support data object type "javax.management.openmbean.TabularDataSupport" (Patch51)[RCN:11327]
- Add zabbix-2.2.9-fix_warning_when_no_host_selected.patch to fix raising WARNING in Web Interface when edit template with no host selected (Patch52)[RCN:11454]

* Wed Mar 18 2015 Vinh Hoang <vinh.hoang@miraclelinux.com> - 2.2.9-1%{?dist}
- Update base zabbix version to 2.2.9
- Update zabbix-2.2.9-reload_config.patch for add "VMwarePerfFrequency" and "VMwareTimeout" parameters configure (Patch8)
- Update zabbix-2.2.9-windows-copyright.patch to update years of copyright 2001->2015(Patch34)
- Remove zabbix-2.2.6-fix_eventlog6_itself_broken.patch because the original zabbix already fixed this problem (Patch37)[RCN:10575]
- Add zabbix-2.2.9-add-cpu_time-to-proc_info-on-windows.patch to add a new parameter atime for proc_info key (Patch46)[RCN:11018]
- Update zabbix-2.2.9-add_graph_csv_output.patch to reduce three CSV output buttoms in graph to one (Patch33)[RCN:10019]
- Add zabbix-2.2.9-add_missing_socket_closing.patch to add missing socket closing to avoid large number of opened sockets (Patch47)[RCN:11310]
- Update zabbix-2.2.9-fix_memory_leak_in_trendcache.patch to fix MIRACLE ZBX proxy crashed by trend cache removing (Patch44)[RCN:11352]

* Wed Dec 17 2014 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.8-1%{?dist}
- Update base zabbix version to 2.2.8
- Add zabbix-2.2.8-fix_memory_leak_in_trendcache.patch (Patch44)[RCN:10993]
- Add zabbix-2.2.8-fix_zbx_item_logtype_string.patch to fix C function "zbx_item_logtype_string()" doesn't support eventlog level "critical" & "verbose" (Patch45)[RCN:11030]
- Update specfile to add BuildRequires gettext package [RCN:11015]
- Update zabbix.spec file and add After-mysqld-service.conf, After-postgresql-service.conf, zabbix-proxy.service, zabbix-server.service for [RCN:10644] 
- Update zabbix-2.2.8-add_eventlog_ext.patch to support ITEM_LOG macro for eventlog_ext (Patch40)[RCN:11089]

* Wed Oct 29 2014 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.7-1%{?dist}
- Update base zabbix version to 2.2.7
- Update Patch8 for add "EnableSNMPBulkRequests" parameter config
- Add zabbix-2.2.7-add_eventlog_ext.patch for eventlog extend  (Patch40)[RCN:9652]
- Add zabbix-2.2.7-fix_memory_leak.patch for fixing memory leak (Patch41)[RCN:10879]
- Add zabbix-2.2.7-fix_sending_recovery_mail.patch for fixing sending recovery mail (Patch42)[RCN:10550]
- Add zabbix-2.2.7-fix_query_wrong_last_data.patch for fixing query wrong the last data for the lastest data screen (Patch43)[RCN:10870]
- Update the configuration file of zabbix_server.conf and zabbix_proxy.conf for adding the option EnableSNMPBulkRequests and change the range of Shared memory size [RCN:10871]

* Wed Oct 15 2014 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.6-2%{?dist}
- Change package name rule like from "2.0.12-2ML6" to "2.0.12-2.ML6"
- Add zabbix-2.2.6-fix_command_injection.patch for fixing command injection vulnerability in "action" executing script media (Patch39)[RCN:10811]

* Thu Sep 04 2014 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.6-1%{?dist}
- Update to 2.2.6
- Update zabbix-2.2.6-add_event_filter.patch for version 2.2.6-1 (Patch12)
- Update zabbix-2.2.6-show_history_in_event.patch for version 2.2.6-1 (Patch14)[RCN:10240]
- Update zabbix-2.2.6-fix_format_message_crash.patch for version 2.2.6-1 (Patch36)
- Update specfile to change the file included in java-gateway binary from org-json-2010-12-28.jar to android-json-4.3_r3.1.jar
- Update zabbix-2.2.6-datasql.patch for fixing PostgreSQL + ZBX should show Japanese interface as default (Patch1)[RCN:10268]
- Fix "Zabbix" string to "MIRACLE ZBX" and "www.zabbix.com" to "www.miraclelinux.com" in spec file [RCN:10278]
- Add zabbix-2.2.6-fix_eventlog6_itself_broken.patch for the eventlog itself is broken (Patch37)[RCN:10575]
- Add ML7, RHEL7, CentOS7 support with systemd support [RCN:10644]
- Add zabbix-2.2.6-fix_eventlog_message_logic.patch for fixing eventlog message login (Patch38)[RCN:9697]

* Thu May 15 2014 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.2.3-1a%{?dist}
- Replace background.png

* Thu May 15 2014 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.2.3-1%{?dist}
- Update base zabbix version to 2.2.3
- Add zabbix-2.2.3-add_dbupdate_option.patch for dividing dbupdate operation from usual daemon starting.
- Add zabbix-2.2.3-fix_format_message_crash.patch for fixing FormatMessage() crash in eventlog reading.

* Thu Oct 31 2013 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.0.8-3%{?dist}
- Add skip old data parameter to eventlog6[] (Patch31)[RCN:9594]
- Fix eventlog[] which call free() twice in some specific situation (Patch29)[RCN:9594]
- Fix eventlog[] message (Patch29)(Patch5)[RCN:9594]

* Fri Oct 04 2013 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.0.8-2%{?dist}
- Update for avoiding init script failure if /etc/zabbix/init/ doesn't have any file [RCN:9071]
- Add backporting patch zabbix-2.0.8-fix_sql_injection_ZBX7091.patch for fix sql injection (ZBX-7091)(Patch32)[RCN:9498]
- Add zabbix-2.0.8-add_graph_csv_output.patch for adding csv output button for graph (Patch33)[RCN:9427]
- Add backporting zabbix-2.0.8-fix_updating_data_in_proxy_ZBX6929.patch for fix updating lastlogsize and mtime in proxy (Patch34)[RCN:9463]
- Update MIRACLE ZBX version number to web frontend.(Patch24)[RCN:9257]
- Fix lockfile name problem in init script same as init script name [RCN:9526]

* Tue Sep 03 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.8-1%{?dist}
- Update base zabbix version to 2.0.8
- Add zabbix-2.0.8-host-import.patch for fix failed import host importing (Patch25)[RCN:9335]
- Add zabbix-2.0.8-hpux_compat.patch fix hp-ux condition compatibility (Patch26)[RCN:9302]
- Updated zabbix.spec to add MIRACLE ZBX release number to "-V" option and php definition [RCN:9257]
- Updated zabbix.spec to fix zabbix_server.conf permission [RCN:9107]
- Updated init for execute script in /etc/zabbix/init/ [RCN:9071]
- Add zabbix-2.0.8_long_telnet_command_fix.patch for fix unneeded characters error in zabbix telnet (Patch27)[RCN:8657]
- Add zabbix-2.0.8-avoid_proxy_stopping.patch avoid stopping of the Zabbix proxy (Patch28)[RCN:8645]
- Add zabbix-2.0.8-fix_eventlog_message_logic.patch for fix eventlog message logic (Patch29)[RCN:8373]
- Add zabbix-2.0.8-force_redirect_std.patch fix alerter outputs log after is been logrotated (Patch30)[RCN:9359]
- Update zabbix.spec for OS compatibility reason and added %_default_patch_fuzz 2 [RCN:9367][RCN:9364]
- Add patch zabbix-2.0.8-add_eventlog6_key.patch to support eventlog6[] key using always eventing 6.0 API in after Windows 2008 (ZBX-2008)(Patch31)[RCN:7086]
- Update zabbix-2.0.8-ML-copyright-replacement.patch fix zabbix SIA version in the copyright (Patch24)[RCN:9389]
- Update zabbix-2.0.8-fix_some_log.patch add some log message for supplying better support (Patch22)[RCN:8694]

* Tue Aug 06 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.7-1%{?dist}
- update to 2.0.7
- Fix history column in event page (Patch14) [RCN:9276]

* Mon May 20 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.6-1%{?dist}
- update to 2.0.6
- Fix Logo, trademark and copyright (Patch24) [RCN:8720]
- Add some log message for supplying better support (Patch22) [RCN:8694]
- Fix possibility of not sending some data for Proxy Data Sender (Patch23) [RCN:8646]

* Thu Feb 14 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.5-1%{?dist}
- update to 2.0.5
- Updated spec file for compatibilty with Amazon EC2.
- Update fix for add event filter (Patch12).
- Fix support for HP-UX 11i2 and earlier version (Patch19).
- Fix snmp check timeout on zabbix server (Patch20) (ZBX-4393).
- Add if lastclock is zero avoid evaluate nodata (Patch21) (ZBX-6134).

* Wed Dec 12 2012 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.4-1%{?dist}
- Update to 2.0.4
- Removed patch fix sigbus crash in HP-UX and Solaris already merged upstream (Patch15).
- Fix "evaluate_STR()" and "evaluate_LOGEVENTID()" memory leak (Patch17).
- Fix windows 2000 using dinamically load Dnsapi.dll (ZBX-5883)(Patch18).
- Updated spec file for remove .orig from database.

* Tue Oct 30 2012 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.3-1%{?dist}
- Update to 2.0.3
- Fixed to fit new version (Patch2)
- Fixed to fit new version (Patch3)
- Fixed to fit new version (Patch7)
- Fixed to fit new version (Patch8)
- Fixed to fit new version (Patch11)
- Add additional event filter (Patch12)
- Fix java gateway pid (Patch13)
- Add show history column in event page (Patch14)
- Fix sigbus crash in HP-UX and Solaris (Patch15)
- Update zabbix.spec file
- Update zabbix-java-gateway.init to wait zabbix java gateway completely killed.
- Fix java log directory (Patch16)
- Update zabbix.spec file because as write in the Zabbix documentation only scheme.sql is needed on Zabbix proxy packages.
- Updated file zabbix-agent.init.aix fix the right path of the configuration file for Zabbix-agent.
- Added requires conditional in zabbix.spec file for Java Gateway package ML5 jdk ML6 Java.
- Replaced logo.

* Fri Jul 13 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 2.0.1-1%{?dist}
- Update to 2.0.1
- Remove patches for 1.8
- Add patches for 2.0

* Thu Jun 28 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.14-1%{?dist}
- Update to 1.8.14

* Tue May 29 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.13-1%{?dist}
- Update to 1.8.13

* Tue May 8 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.12-1%{?dist}
- Update to 1.8.12
- Fix MAX_DISKDEVICES (ZBXNEXT-801) (Patch44)
- Fix default time period (ZBX-2885) (Patch45)

* Wed Mar 21 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.11-1%{?dist}
- Update to 1.8.11

* Mon Dec 5 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.9-1%{?dist}
- Update to 1.8.9

* Mon Nov 7 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.7-2%{?dist}
- Fix CFLAGS option (Patch42)
- Fix ODBC structure (Patch43)

* Wed Sep 28 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.7-1%{?dist}
- Update to 1.8.7
- Add MIRACLE LINUX V6.0 and Red Hat Enterprise Linux 6 support
- Fix server crash (ZBX-4099) (Patch41)

* Fri Aug 26 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.5-2%{?dist}
- Fix show history in event (Patch40)

* Thu Jul 21 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.5-1%{?dist}
- Update to 1.8.5
- Fix action mismatch (Patch39)

* Fri Apr 22 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.4-2%{?dist}
- Fix map element dose not work (ZBX-3552) (Patch30)
- Fix map icon created twice (ZBX-3626) (Patch31)
- Fix importing map icon label (ZBX-3682) (Patch32)
- Fix disabled item's triggers are also displayed in 'status of triggers' (ZBX-3576) (Patch33)
- Fix not found style files (ZBX-3649) (Patch34)
- Runtime control of zabbix daemons (ZBXNEXT-416) (Patch35)
- Fix net.tcp.dns to enable selecting nameserver (Patch36)
- Fix template unlink (Patch37)
- Fix item not supported (Patch38)

* Fri Feb 4 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.4-1%{?dist}
- Update to 1.8.4
- Add windows build script (Patch29)

* Tue Feb 1 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-6%{?dist}
- Add MIRACLE LINUX V3.0 and Red Hat Enterprise Linux 3 support

* Mon Jan 24 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-5%{?dist}
- Fix debug message of poller interval option (Patch27)

* Fri Jan 14 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-4%{?dist}
- Add poller interval option (Patch27)
- Add explanation of poller interval option in server and proxy config file
- Add event filter (Patch28)
- Change defines.inc.php as non config file

* Wed Dec 29 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-3%{?dist}
- Change MAX_DISKDEVICES to 128 and refactor (Patch19)
- Enable to send active check to multi server (Patch22)
- Change Patch18 and VisualStudio project files to fit Patch22 (Patch18)
- Fixed possible stop to send data from proxy after shutdown of MySQL server (ZBX-3085) (Patch23)
- Fixed host profiles export (ZBX-2888) (Patch24)
- Fixed Japanese translation (Patch25)
- Fixed not found style files (ZBX-2937) (Patch26)
- Add initial db files for zabbix-proxy package

* Wed Sep 22 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-2%{?dist}
- Fix compile error in AIX 6.1 (Patch21)

* Thu Aug 19 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-1%{?dist}
- Update to 1.8.3
- Remove patches for 1.6
- Add patches for 1.8

* Wed Aug 18 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-7%{?dist}
- Change code not to use seteuid, setegid under HP-UX for HP-UX Version 2 compatibility (Patch48)

* Tue Jul 27 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-6%{?dist}
- Add support for new windows eventlog system backported from ZBX-2008 (Patch46)
- Fix displaying too big eventid in Windows (Patch46)

* Tue Jul 13 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-5%{?dist}
- revert Patch43
- revert ZBX-2062 from original source (Patch47)

* Thu Jul 1 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-4%{?dist}
- Add optional feature to show eventid in eventlog (Patch45)

* Mon Jun 28 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-3%{?dist}
- Fix not sending alert when receive error log or trap same time (Patch43)
- Add optional feature to show history log in event screen (Patch44)

* Mon Jun 7 2010 Kodai Terashima <terashima@miraclelinux.com> - 1.6.9-2%{?dist}
- Fix log is not collected when long log item key using multibyte string (Patch39)
- Fix enable/disable item action does not work in application screen (Patch40)
- Fix graph view when select over 372 days (Patch41)
- Fix vfs.dev.read vfs.dev.write to get values for partitions in old 2.6 kernel (Patch42)
- Fix vfs.dev.read vfs.dev.write to get sps, ops for partitions (Patch42)
- Fix vfs.dev.read vfs.dev.write to get values for LVM devices (Patch42)

* Thu Apr 1 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-1%{?dist}
- Update to 1.6.9
- Fix event time setting logic (Patch37)
- Add more event filter option (Patch38)

* Fri Mar 12 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-5%{?dist}
- Fix counting string function in trigger (Patch32)
- Fix label text is not in the right place on map (update Patch9)
- Fix color selection frame is not appeared (Patch34)
- Fix color configuration is not upgraded correctly from 1.4 to 1.6  when use Japanese (Patch35)
- Fix map icon label is not used map default label location setting (Patch33)
- Add extra encoding mode to process lf char code in windows. Merge diff with Patch31 (Patch36)

* Tue Jan 26 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-4%{?dist}
- Fixed stopping log monitoring every 2 minutes when using windows agent with encoding option (Patch31)

* Fri Jan 8 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-3%{?dist}
- disable with-openipmi option when not ML5
- add BuildRequires OpenIPMI-devel

* Thu Jan 7 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-2%{?dist}
- refactored and added multibyte charactor conversion in windows agent(Patch31)
- fixed some typo in spec file and file names

* Wed Jan 6 2010 Kodai Terashima <terashima@miraclelinux.com> 1.6.8-1%{?dist}
- Update graph_description.patch to localize available chart and pie chart (Patch9)
- Merge frontend.patch into graph_description.patch (Patch4, Patch9)
- Add patch to fix problem doesn't show screen (Patch29)
- Add patch to fix show active check data on Latest Data screen (Patch30)
- enable with-openipmi option in configure script
- Update Japanese translation (Source7)

* Mon Nov 16 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.7-2%{?dist}
- Update to 1.6.7
- remove already included patches (Patch10,15,17)

* Fri Nov  6 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.6-1%{?dist}
- Update to 1.6.6
- remove already included patches (Patch10,15,17)
- add logrotated file support (Patch23)
- fix processing of logs and eventlogs which become empty only on the agent side (Patch24)
- fix processing of proc_info[] function (Patch25)
- fix VisualStudio project file (Patch26)
- remove broken character which affects in compiling with VisualStudio (Patch27)
- fix package build environment and recompile packages to fix system.cpu.util function
- fix copyright-year in japanese (source7)
- remove sqlite build process from spec file

* Wed Sep 16 2009 Kodai Terashima <terashima@miraclelinux.com> - 1.6.4-6%{?dist}
- fix FormatMessage crash in case of aInsertStrs having more than 64 elements (Patch19)
- add a patch to select Japanese locale by default (Patch 20)
- add a patch to add "Powered by MIRACLE LINUX" on footer (Patch21)
- add a powered_by_miracle logo (Source6)
- add a ja_jp.inc.php and delete locale-ja_jp.patch (Source7, Patch15)
- add script for blocking update zabbix packages by axtu in zabbix.spec
- add php options for Japanese in zabbix-web.conf
- add a patch to allow multibyte trigger expression (Patch22)

* Fri Aug 28 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.4-5%{?dist}
- add system.swap.in and system.swap.out patch for LVM devices and other device-mapper devices (Patch16,17)
- fix diff path in windows patch files to patch '-p1' option (Patch18)

* Mon Aug 17 2009 Kodai Terashima <terashima@miraclelinux.com> - 1.6.4-4%{?dist}
- Add a patch for fix crash windows 2000 agent (Patch16,17)

* Wed May 13 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 1.6.4-3%{?dist}
- Update Japanese translation (AXBug#6304, Patch15)
- modify zabbix-1.6.4-trigger_cond_multibyte_param.patch (AXBug#6306)

* Tue Apr  7 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 1.6.4-2%{?dist}
- merge Asianux modifications to the new package which based on 1.4.6-1.1%{?dist}
  - When updating zabbix, restart zabbix-server, zabbix-agent and zabbix-proxy
  - modify zabbix-web.conf not to be able to access zabbix-web page by default
    (AXBug#4525)
  - replace Source1
  - fix the bug that cannot choose Japanese language (Patch3, AXBug#4614)
  - modify date format for Chinese (Patch6) and Korean (Patch14) (AXBug#4801)
  - fix copyright-year in locales file(Patch7)
  - fix minor bugs related to CKJ locales(Patch9,10)
  - allow item/trigger parameter to set multibyte character(Patch11)
  - fix exhausted memory by using DB cursor(Patch12)
  - add converter from SJIS to UTF-8 for Windows Event Log(Patch13)
  - fix locale files to modify version by itself

* Mon Apr 6 2009 Yoshihiro Kagawa <ykagawa@miraclelinux.com> - 1.6.4-1
- Update to 1.6.4

* Fri Jan 23 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.2-2
- Rebuild for MySQL 5.1.X

* Fri Jan 16 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.2-1
- Update to 1.6.2: http://www.zabbix.com/rn1.6.2.php

* Thu Dec  4 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.1-1
- Fix BZ#474593 by adding a requires.

* Wed Nov  5 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.1-1
- Update to 1.6.1

* Tue Sep 30 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6-1.1
- Bump release because forgot to add some new files.

* Tue Sep 30 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6-1
- Update to final 1.6

* Mon Aug 11 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.4.6-2
- Fix license tag.

* Fri Jul 25 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.6-1
- Update to 1.4.6

* Mon Jul 07 2008 Dan Horak <dan[at]danny.cz> - 1.4.5-4
- add LSB headers into init scripts
- disable internal log rotation

* Fri May 02 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.5-3
- Seems the zabbix folks replaced the original 1.4.5 tarball with
  an updated tarball or something -- it actually does contain a
  tiny bit of additional code... So update to newer 1.4.5.

* Tue Apr 08 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.5-2
- Fix building w/postgresql (#441456)

* Tue Mar 25 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.5-1
- Update to 1.4.5

* Thu Feb 14 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.4-2
- Bump and rebuild with gcc 4.3

* Mon Dec 17 2007 Jarod Wilson <jwilson@redhat.com> - 1.4.4-1
- New upstream release
- Fixes two crasher bugs in 1.4.3 release

* Wed Dec 12 2007 Jarod Wilson <jwilson@redhat.com> - 1.4.3-1
- New upstream release

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.4.2-5
- Rebuild for deps

* Sat Dec 01 2007 Dan Horak <dan[at]danny.cz> 1.4.2-4
- add security fix (#407181)

* Thu Sep 20 2007 Dan Horak <dan[at]danny.cz> 1.4.2-3
- Add a patch to clean a warning during compile
- Add a patch to fix cpu load computations

* Tue Aug 21 2007 Jarod Wilson <jwilson@redhat.com> 1.4.2-2
- Account for binaries moving from %%_bindir to %%_sbindir

* Tue Aug 21 2007 Jarod Wilson <jwilson@redhat.com> 1.4.2-1
- New upstream release

* Mon Jul 02 2007 Jarod Wilson <jwilson@redhat.com> 1.4.1-1
- New upstream release

* Fri Jun 29 2007 Jarod Wilson <jwilson@redhat.com> 1.4-3
- Install correct sql init files (#244991)
- Add Requires: php-bcmath to zabbix-web (#245767)

* Wed May 30 2007 Jarod Wilson <jwilson@redhat.com> 1.4-2
- Add placeholder zabbix.conf.php

* Tue May 29 2007 Jarod Wilson <jwilson@redhat.com> 1.4-1
- New upstream release

* Fri Mar 30 2007 Jarod Wilson <jwilson@redhat.com> 1.1.7-1
- New upstream release

* Wed Feb 07 2007 Jarod Wilson <jwilson@redhat.com> 1.1.6-1
- New upstream release

* Thu Feb 01 2007 Jarod Wilson <jwilson@redhat.com> 1.1.5-1
- New upstream release

* Tue Jan 02 2007 Jarod Wilson <jwilson@redhat.com> 1.1.4-5
- Add explicit R:php to zabbix-web (#220676)

* Wed Dec 13 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-4
- Fix snmp polling buffer overflow (#218065)

* Wed Nov 29 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-3
- Rebuild for updated libnetsnmp

* Thu Nov 16 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-2
- Fix up pt_br
- Add Req-pre on useradd

* Wed Nov 15 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-1
- Update to 1.1.4

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-3
- Add BR: gnutls-devel, R: net-snmp-libs

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-2
- Fix php-pgsql Requires

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-1
- Update to 1.1.3

* Mon Oct 02 2006 Jarod Wilson <jwilson@redhat.com> 1.1.2-1
- Update to 1.1.2
- Enable alternate building with postgresql support

* Thu Aug 17 2006 Jarod Wilson <jwilson@redhat.com> 1.1.1-2
- Yank out Requires: mysql-server
- Add Requires: for php-gd and fping

* Tue Aug 15 2006 Jarod Wilson <jwilson@redhat.com> 1.1.1-1
- Update to 1.1.1
- More macroification
- Fix up zabbix-web Requires:
- Prep for enabling postgres support

* Thu Jul 27 2006 Jarod Wilson <jwilson@redhat.com> 1.1-2
- Add Requires: on chkconfig and service
- Remove openssl-devel from BR, mysql-devel pulls it in
- Alter scriptlets to match Fedora conventions

* Tue Jul 11 2006 Jarod Wilson <jwilson@redhat.com> 1.1-1
- Initial build for Fedora Extras
